Package: groovy.lang

## [Java] Class MissingFieldException

- groovy.lang.MissingFieldException

- An exception occurred if a dynamic field dispatch fails with an unknown field. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingFieldException (String field, Class type)`
    `MissingFieldException (String field, Class type, Throwable e)`
    `MissingFieldException (String message, String field, Class type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getField()` @return the name of the field that could not be found
    `` | `Class` | `getType()` @return The type on which the field was attempted to be called

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MissingFieldException(String field, Class type)

    - #### public MissingFieldException(String field, Class type, Throwable e)

    - #### public MissingFieldException(String message, String field, Class type)

  - ### Method Detail

    - #### public String getField()

      Returns:
        the name of the field that could not be found

    - #### public Class getType()

      Returns:
        The type on which the field was attempted to be called